export interface DepDiffOptions {
    dependencies?: boolean;
    devDependencies?: boolean;
    peerDependencies?: boolean;
    optionalDependencies?: boolean;
}
export interface Dependency {
    dependency: string;
    listed: string;
    installed: string;
}
export interface DepDiffResult {
    dependencies: Dependency[];
    devDependencies: Dependency[];
    peerDependencies: Dependency[];
    optionalDependencies: Dependency[];
}
export declare class DepDiff {
    private options;
    constructor(options: DepDiffOptions);
    diff(pckg: any): DepDiffResult;
    private parseDependencies(dependencies);
    private readVersions(dependencies);
    private readInstalledVersion(dependency);
    private equalVersion(listed, installed);
    private compare(dependencyVersions, installedDependencyVersions);
}
