#! /usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dep_diff_1 = require("./dep-diff");
const update_refs_1 = require("./update-refs");
const json_loader_1 = require("./json-loader");
const pckg = json_loader_1.JsonLoader.load('package.json');
const depDiff = new dep_diff_1.DepDiff({
    dependencies: true,
    devDependencies: true,
    peerDependencies: true,
    optionalDependencies: true
});
const uRefs = new update_refs_1.UpdateRefs();
const uPckg = uRefs.update(pckg, depDiff.diff(pckg));
json_loader_1.JsonLoader.save('package.json', uPckg, (err) => {
    if (err) {
        console.log('errpr');
    }
});
//# sourceMappingURL=index.js.map